---
name: Bug report
about: Create a report to help us improve

---

<!-- ATTENTION: :wave: Just a quick reminder that this is a public repo. Please don't include any internal links or sensitive data (like PII, private code, client names, site URLs, etc. If you're not sure if something is safe to share, please just ask! -->


<!-- Before requesting this, consider if this bug is specific to sniffs in VIPCS, or whether the source of the bug is in the WordPress Coding Standards: https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards/ -->

## Bug Description

<!--
Please provide a clear and concise description of what the bug is.
 What did you expect to happen? What actually happened?
 For bugs with fixers: How the code was fixed? How did you expect the code to be fixed?
-->

## Minimal Code Snippet

<!-- Please provide example code that demonstrates the issue. Do NOT paste screenshots of code! -->

```php
// Place your code sample here.
```

## Error Code

<!--
The error code for the sniff that is (or should be) being triggered (you
can see the sniff error codes by running `phpcs` with the `-s` flag).
e.g. `WordPressVIPMinimum.PHP.NoSilencedErrors.Discouraged`
-->

## Environment

Use `php -v` and `composer show` to get versions.

| Question                | Answer
| ------------------------| -------
| PHP version             | x.y.z 
| PHP_CodeSniffer version | x.y.z
| VIPCS version           | x.y.z

## Additional Context (optional)

<!-- Add any other context about the problem here. -->

## Tested Against `master` branch?

- [ ] I have verified the issue still exists in the `master` branch of VIPCS.
